﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

#pragma warning disable CA1814 // Prefer jagged arrays over multidimensional

namespace PokemonSleepAPI.Migrations
{
    /// <inheritdoc />
    public partial class AddNaturesWithRatings : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
          

            migrationBuilder.CreateTable(
                name: "PokemonNatures",
                columns: table => new
                {
                    Id = table.Column<int>(type: "int", nullable: false)
                        .Annotation("SqlServer:Identity", "1, 1"),
                    Nature = table.Column<string>(type: "nvarchar(max)", nullable: false),
                    BerryRating = table.Column<int>(type: "int", nullable: false),
                    IngredientRating = table.Column<int>(type: "int", nullable: false),
                    SkillRating = table.Column<int>(type: "int", nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_PokemonNatures", x => x.Id);
                });

            migrationBuilder.InsertData(
                table: "PokemonNatures",
                columns: new[] { "Id", "BerryRating", "IngredientRating", "Nature", "SkillRating" },
                values: new object[,]
                {
                    { 1, 2, 2, "Lonely", 1 },
                    { 2, 3, 0, "Adamant", 0 },
                    { 3, 1, 1, "Naughty", -1 },
                    { 4, 1, 1, "Brave", 1 },
                    { 5, -2, -2, "Bold", -1 },
                    { 6, 1, -2, "Impish", -1 },
                    { 7, -1, -1, "Lax", -2 },
                    { 8, -1, -1, "Relaxed", 0 },
                    { 9, -3, 0, "Modest", 0 },
                    { 10, -1, 2, "Mild", 1 },
                    { 11, -2, 1, "Rash", -1 },
                    { 12, -2, 1, "Quiet", 1 },
                    { 13, -1, -1, "Calm", 1 },
                    { 14, 1, 1, "Gentle", 2 },
                    { 15, 2, -1, "Careful", 1 },
                    { 16, 0, 0, "Sassy", 2 },
                    { 17, -1, -1, "Timid", -1 },
                    { 18, 1, 1, "Hasty", 0 },
                    { 19, 2, -1, "Jolly", -1 },
                    { 20, 0, 0, "Naive", -2 },
                    { 21, 0, 0, "Bashful", 0 },
                    { 22, 0, 0, "Hardy", 0 },
                    { 23, 0, 0, "Docile", 0 },
                    { 24, 0, 0, "Quirky", 0 },
                    { 25, 0, 0, "Serious", 0 }
                });
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "PokemonNatures");
        }
    }
}
